"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComentarioDto = exports.comentarioSchema = void 0;
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.comentarioSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: 'El ID debe ser un UUID',
    }),
    content: zod_1.z.string().min(1, {
        message: 'El contenido debe tener al menos 1 caracter',
    }),
    createdBy: zod_1.z.string().uuid({
        message: 'El createdBy debe ser un UUID',
    }),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class ComentarioDto extends (0, zod_nestjs_1.createZodDto)(exports.comentarioSchema) {
}
exports.ComentarioDto = ComentarioDto;
//# sourceMappingURL=comentario.dto.js.map