"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateFiltroBaseResponseDto = exports.updateFiltroBaseResponseSchema = exports.UpdateFiltroBaseDto = exports.updateFiltroBaseSchema = void 0;
const etiqueta_dto_1 = require("../../etiqueta/dto/etiqueta.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.updateFiltroBaseSchema = zod_1.z.object({
    active: zod_1.z.boolean(),
    etiquetasIds: zod_1.z.array(etiqueta_dto_1.etiquetaSchema.shape.id),
});
class UpdateFiltroBaseDto extends (0, zod_nestjs_1.createZodDto)(exports.updateFiltroBaseSchema) {
}
exports.UpdateFiltroBaseDto = UpdateFiltroBaseDto;
exports.updateFiltroBaseResponseSchema = zod_1.z.object({
    id: zod_1.z.string(),
    nombreUsuario: zod_1.z.string(),
    esAdmin: zod_1.z.boolean(),
    fcmToken: zod_1.z.string().nullable(),
    filtroBaseActivo: zod_1.z.boolean(),
    filtroBase: zod_1.z.object({
        active: zod_1.z.boolean(),
        etiquetas: zod_1.z.array(etiqueta_dto_1.etiquetaSchema),
    }),
});
class UpdateFiltroBaseResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.updateFiltroBaseResponseSchema) {
}
exports.UpdateFiltroBaseResponseDto = UpdateFiltroBaseResponseDto;
//# sourceMappingURL=updateFiltroBase.dto.js.map