import { z } from 'zod';
export declare const grupoEtiquetaSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    created_at: string;
    updated_at: string;
    color: string;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    created_at: string;
    updated_at: string;
    color: string;
    isExclusive: boolean;
}>;
declare const GrupoEtiquetaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    created_at: string;
    updated_at: string;
    color: string;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    created_at: string;
    updated_at: string;
    color: string;
    isExclusive: boolean;
}>>;
export declare class GrupoEtiquetaDto extends GrupoEtiquetaDto_base {
}
export {};
