"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterResponseDto = exports.registerResponseSchema = exports.RegisterDto = exports.registerSchema = void 0;
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const cuenta_dto_1 = require("../../cuenta/dto/cuenta.dto");
exports.registerSchema = cuenta_dto_1.cuentaSchema.pick({
    username: true,
    password: true,
    isAdmin: true,
});
class RegisterDto extends (0, zod_nestjs_1.createZodDto)(exports.registerSchema) {
}
exports.RegisterDto = RegisterDto;
exports.registerResponseSchema = exports.registerSchema.omit({
    password: true,
});
class RegisterResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.registerResponseSchema) {
}
exports.RegisterResponseDto = RegisterResponseDto;
//# sourceMappingURL=register.dto.js.map