"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateCuentaResponseDto = exports.createCuentaResponseSchema = exports.CreateCuentaDto = exports.createCuentaSchema = void 0;
const cuenta_dto_1 = require("./cuenta.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
exports.createCuentaSchema = cuenta_dto_1.cuentaSchema.pick({
    username: true,
    password: true,
    isAdmin: true,
});
class CreateCuentaDto extends (0, zod_nestjs_1.createZodDto)(exports.createCuentaSchema) {
}
exports.CreateCuentaDto = CreateCuentaDto;
exports.createCuentaResponseSchema = cuenta_dto_1.cuentaSchema.omit({
    password: true,
    filtroBase: true,
    created_at: true,
    updated_at: true,
});
class CreateCuentaResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.createCuentaResponseSchema) {
}
exports.CreateCuentaResponseDto = CreateCuentaResponseDto;
//# sourceMappingURL=createCuenta.dto.js.map