"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetFiltroBaseResponseDto = exports.getFiltroBaseResponse = void 0;
const exports_1 = require("../../exports");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = __importDefault(require("zod"));
exports.getFiltroBaseResponse = zod_1.default.object({
    active: zod_1.default.boolean(),
    filtroBase: zod_1.default.array(exports_1.etiquetaSchema
        .pick({
        id: true,
        name: true,
        type: true,
    })
        .merge(zod_1.default.object({
        grupo: exports_1.grupoEtiquetaSchema.pick({
            id: true,
            color: true,
            isExclusive: true,
        }),
    }))),
});
class GetFiltroBaseResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.getFiltroBaseResponse) {
}
exports.GetFiltroBaseResponseDto = GetFiltroBaseResponseDto;
//# sourceMappingURL=getFiltroBase.dto.js.map