import { z } from 'zod';
export declare const etiquetaSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PERSONAL: "PERSONAL";
        EVENTO: "EVENTO";
        MODELO: "MODELO";
        TENTATIVA: "TENTATIVA";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    groupId: string;
    type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    groupId: string;
    type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
    created_at: string;
    updated_at: string;
}>;
declare const EtiquetaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    groupId: z.ZodString;
    type: z.ZodNativeEnum<{
        PERSONAL: "PERSONAL";
        EVENTO: "EVENTO";
        MODELO: "MODELO";
        TENTATIVA: "TENTATIVA";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    groupId: string;
    type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    groupId: string;
    type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
    created_at: string;
    updated_at: string;
}>>;
export declare class EtiquetaDto extends EtiquetaDto_base {
}
export {};
