
Object.defineProperty(exports, "__esModule", { value: true });

const {
  Decimal,
  objectEnumValues,
  makeStrictEnum,
  Public,
  getRuntime,
} = require('./runtime/index-browser.js')


const Prisma = {}

exports.Prisma = Prisma
exports.$Enums = {}

/**
 * Prisma Client JS version: 5.14.0
 * Query Engine version: e9771e62de70f79a5e1c604a2d7c8e2a0a874b48
 */
Prisma.prismaVersion = {
  client: "5.14.0",
  engine: "e9771e62de70f79a5e1c604a2d7c8e2a0a874b48"
}

Prisma.PrismaClientKnownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientKnownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)};
Prisma.PrismaClientUnknownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientUnknownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientRustPanicError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientRustPanicError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientInitializationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientInitializationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientValidationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientValidationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.NotFoundError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`NotFoundError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.Decimal = Decimal

/**
 * Re-export of sql-template-tag
 */
Prisma.sql = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`sqltag is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.empty = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`empty is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.join = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`join is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.raw = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`raw is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.validator = Public.validator

/**
* Extensions
*/
Prisma.getExtensionContext = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.getExtensionContext is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.defineExtension = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.defineExtension is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}

/**
 * Shorthand utilities for JSON filtering
 */
Prisma.DbNull = objectEnumValues.instances.DbNull
Prisma.JsonNull = objectEnumValues.instances.JsonNull
Prisma.AnyNull = objectEnumValues.instances.AnyNull

Prisma.NullTypes = {
  DbNull: objectEnumValues.classes.DbNull,
  JsonNull: objectEnumValues.classes.JsonNull,
  AnyNull: objectEnumValues.classes.AnyNull
}

/**
 * Enums
 */

exports.Prisma.TransactionIsolationLevel = makeStrictEnum({
  ReadUncommitted: 'ReadUncommitted',
  ReadCommitted: 'ReadCommitted',
  RepeatableRead: 'RepeatableRead',
  Serializable: 'Serializable'
});

exports.Prisma.CuentaScalarFieldEnum = {
  id: 'id',
  nombreUsuario: 'nombreUsuario',
  contrasena: 'contrasena',
  esAdmin: 'esAdmin',
  created_at: 'created_at',
  updated_at: 'updated_at',
  filtroBaseActivo: 'filtroBaseActivo',
  fcmToken: 'fcmToken'
};

exports.Prisma.PerfilScalarFieldEnum = {
  id: 'id',
  idLegible: 'idLegible',
  telefono: 'telefono',
  telefonoSecundario: 'telefonoSecundario',
  nombreCompleto: 'nombreCompleto',
  nombrePila: 'nombrePila',
  genero: 'genero',
  fechaNacimiento: 'fechaNacimiento',
  fotoUrl: 'fotoUrl',
  instagram: 'instagram',
  mail: 'mail',
  dni: 'dni',
  nombresAlternativos: 'nombresAlternativos',
  esPapelera: 'esPapelera',
  fechaPapelera: 'fechaPapelera',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.ComentarioScalarFieldEnum = {
  id: 'id',
  contenido: 'contenido',
  creadoPor: 'creadoPor',
  perfilId: 'perfilId',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.EtiquetaScalarFieldEnum = {
  id: 'id',
  nombre: 'nombre',
  grupoId: 'grupoId',
  tipo: 'tipo',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.EtiquetaGrupoScalarFieldEnum = {
  id: 'id',
  nombre: 'nombre',
  color: 'color',
  esExclusivo: 'esExclusivo',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.EventosCarpetaScalarFieldEnum = {
  id: 'id',
  nombre: 'nombre',
  color: 'color',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.EventoScalarFieldEnum = {
  id: 'id',
  nombre: 'nombre',
  fecha: 'fecha',
  ubicacion: 'ubicacion',
  carpetaId: 'carpetaId',
  etiquetaAsistioId: 'etiquetaAsistioId',
  etiquetaConfirmoId: 'etiquetaConfirmoId',
  eventoPadreId: 'eventoPadreId',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.MensajeScalarFieldEnum = {
  id: 'id',
  wamId: 'wamId',
  message: 'message',
  perfilTelefono: 'perfilTelefono',
  status: 'status',
  statusAt: 'statusAt',
  visto: 'visto',
  created_at: 'created_at',
  updated_at: 'updated_at'
};

exports.Prisma.EnumsScalarFieldEnum = {
  id: 'id',
  EstadoPlantilla: 'EstadoPlantilla',
  CategoriaPlantilla: 'CategoriaPlantilla'
};

exports.Prisma.SortOrder = {
  asc: 'asc',
  desc: 'desc'
};

exports.Prisma.JsonNullValueInput = {
  JsonNull: Prisma.JsonNull
};

exports.Prisma.QueryMode = {
  default: 'default',
  insensitive: 'insensitive'
};

exports.Prisma.NullsOrder = {
  first: 'first',
  last: 'last'
};

exports.Prisma.JsonNullValueFilter = {
  DbNull: Prisma.DbNull,
  JsonNull: Prisma.JsonNull,
  AnyNull: Prisma.AnyNull
};
exports.TipoEtiqueta = exports.$Enums.TipoEtiqueta = {
  PERSONAL: 'PERSONAL',
  EVENTO: 'EVENTO',
  MODELO: 'MODELO',
  TENTATIVA: 'TENTATIVA'
};

exports.MensajeStatus = exports.$Enums.MensajeStatus = {
  ENVIADO: 'ENVIADO',
  RECIBIDO: 'RECIBIDO',
  LEIDO: 'LEIDO'
};

exports.EstadoPlantilla = exports.$Enums.EstadoPlantilla = {
  APRROVED: 'APRROVED',
  PENDING: 'PENDING',
  REJECTED: 'REJECTED'
};

exports.CategoriaPlantilla = exports.$Enums.CategoriaPlantilla = {
  MARKETING: 'MARKETING',
  UTILITY: 'UTILITY',
  AUTHENTICATION: 'AUTHENTICATION'
};

exports.Prisma.ModelName = {
  Cuenta: 'Cuenta',
  Perfil: 'Perfil',
  Comentario: 'Comentario',
  Etiqueta: 'Etiqueta',
  EtiquetaGrupo: 'EtiquetaGrupo',
  EventosCarpeta: 'EventosCarpeta',
  Evento: 'Evento',
  Mensaje: 'Mensaje',
  Enums: 'Enums'
};

/**
 * This is a stub Prisma Client that will error at runtime if called.
 */
class PrismaClient {
  constructor() {
    return new Proxy(this, {
      get(target, prop) {
        let message
        const runtime = getRuntime()
        if (runtime.isEdge) {
          message = `PrismaClient is not configured to run in ${runtime.prettyName}. In order to run Prisma Client on edge runtime, either:
- Use Prisma Accelerate: https://pris.ly/d/accelerate
- Use Driver Adapters: https://pris.ly/d/driver-adapters
`;
        } else {
          message = 'PrismaClient is unable to run in this browser environment, or has been bundled for the browser (running in `' + runtime.prettyName + '`).'
        }
        
        message += `
If this is unexpected, please open an issue: https://pris.ly/prisma-prisma-bug-report`

        throw new Error(message)
      }
    })
  }
}

exports.PrismaClient = PrismaClient

Object.assign(exports, Prisma)
